@echo off
:
:   DECNET.BAT	    Partial startnet.bat for use with the
:		    NDIS through ODI shim.
:		    AIS-F, Aad Slingerland, februari 1993
:
:   Location:	    C:\DECNET
:
:   Attributes:     Preferable ReadOnly
:
:   Invokation:     Preferable from AUTOEXEC.BAT
:
:   Change note:    none so far.
:
:Begin
:
    c:
    cd \decnet
    set _wsnode=AOP075
    set _wsaddr=2.75
    sch
    if NOT errorlevel 1 goto sch_oke
    echo *** Error *** Unable to start Network Scheduler
    goto Error
:
:sch_oke
:
    dnneth.exe /rem:2
    if NOT errorlevel 1 goto dnn_oke
    echo *** Error *** Unable to start Decnet
    goto Error
:
:dnn_oke
:
    last /N:%_WSNODE% /c:d /M:D /g:-1
    if NOT errorlevel 1 goto last_oke
    echo *** Error *** Unable to start Last
    goto Error
:
:last_oke
:
    redir5 /L:10 /P1:128 /P2:128 /P3:128
    if NOT errorlevel 1 goto rdr_oke
    echo *** Error *** Unable to start the Redirector
    goto Error
:
:rdr_oke
:
    setname %_WSNODE%
    set _sysd=?:
    use ?: \\AOV014\PCSAV41%% /REUSE /ENV=_SYSD
    if NOT errorlevel 1 goto sys_oke
    echo *** Error *** Unable to connect to \\AOV014\PCSAV41
    set _sysd=
    goto Error
:
:sys_oke
:
    set help=%_SYSD%\help
    set path=%PATH%;%_SYSD%\pcapp;%_SYSD%\decnet
    goto End
:
:Error
:
    echo\
    echo DECNET.BAT did not run very well.
    echo Contact the system administrator.
    echo\
:
:End
:
